/****************************************************************************

   mod_dav_pgsql (DASL) for apache 2.X
   CopyRight(C) 2005 SolutionBox Inc. All Rights reserved.
   CopyRight(C) 2006 Netomi Inc. All Rights reserved.
   Author : elenoa lazyfake (elenoa@solutionbox.co.kr)

   $Id: share.h,v 1.6 2007/03/19 08:43:12 elenoa Exp $

   Redistribution and use in source and binary forms, with or with out
   modification, are not permitted in outside of SolutionBox Inc.

 ****************************************************************************/

#ifndef __SHARE_FHS_STAT__
#define __SHARE_FHS_STAT__

enum FhsActionCode
{
	DELETED			=	-1,
	FHS_OK			=	0,
	MANUAL_STOP		=	1,
	SERVICE_STOP	=	2,
	READ_ONLY		=	3
};

struct fhs_stat {
	char    szHostname[64];
	int     nActionCode;
};

int dav_initialize_shared_fhs_stat(dav_repos_server_conf *dsc, server_rec *s, apr_pool_t *p);
void dav_cleanup_shared_fhs_stat();

int dav_shared_du_is_alive(const char *my_domain);
char *dav_shared_du_put_target(apr_pool_t *p, const char *my_domain);

#endif // __SHARE__FHS_STAT__
